package test.container;

import java.io.StringWriter;

import org.gcube.smartgears.configuration.container.ContainerConfiguration;
import org.ini4j.Ini;
import org.ini4j.Profile.Section;
import org.junit.Test;

public class ConfigurationTest {

	@Test
	public void containerConfigurationBinds() throws Exception {

		ContainerConfiguration bound = ContainerConfiguration
				.load(ConfigurationTest.class.getResourceAsStream("/test-configuration.ini"));
		
		bound.validate();
		
	}

	@Test
	public void iniStore() throws Exception {
		Ini ini = new Ini();

        // lets add a section, it will create needed intermediate sections as well
        ini.add("root/child/sub");

        Section rsec = ini.get("root");
        rsec.add("test", "team");
        Section csec = rsec.getChild("child");
        csec.add("testchild", "pappo");
        Section ssec = csec.getChild("sub");
        ssec.add("testSec", "pippo");
        
        StringWriter sw = new StringWriter();
        ini.store(sw);
    
	}
}
